package ConcurrentFramework;
import java.sql.Timestamp;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

public class ScheduledExecutorDemo {

	public static void main(String[] args) {
		
		ScheduledExecutorService pool = Executors.newScheduledThreadPool(3);
		Runnable task = () -> System.out.println(Thread.currentThread() + " > " + new Timestamp(System.currentTimeMillis()));
		pool.scheduleAtFixedRate(task, 1000, 1000, TimeUnit.MILLISECONDS);
		
	}

}
