package ConcurrentFramework;

import java.util.concurrent.CompletableFuture;

public class ThreadPoolDemo3 {
		
	public static void main(String[] args) throws InterruptedException {
				
		CompletableFuture.runAsync(() -> {
			try {
				Thread.sleep((int) (Math.random() * 10000));
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}).whenComplete((result, throwable) -> {
		    System.out.println("Java Programming 2: ");
		});
		
		CompletableFuture.runAsync(() -> {
			try {
				Thread.sleep((int) (Math.random() * 10000));
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}).whenComplete((result, throwable) -> {
		    System.out.println("Concurrent Framework");
		});

		try {
			for (int i = 1; i <= 10; i++) {
				Thread.sleep(1000);
				System.out.println(Thread.currentThread() + " working ... " + i);
			}
		} catch (Exception e) {
			
		}

	}

}
