package ConcurrentFramework;

public class DeadlockDemo {
	 
    public static Object lock1 = new Object();
    public static Object lock2 = new Object();
 
    public static void main(String args[]) {
    	
        new Thread(() -> {
        	
            synchronized (lock1) {
            	
                System.out.println("Thread A: holding lock 1...");
                
                try {
					Thread.sleep(1000);
				} catch (InterruptedException e) {}
                
                System.out.println("Thread A: waiting for lock 2...");
 
                synchronized (lock2) {
                    System.out.println("Thread A: holding lock 1 & 2...");
                }
            }
            
        }).start();
        
        new Thread(() -> {
            synchronized (lock2) {
            	
                System.out.println("Thread B: holding lock 2...");
                
                try {
					Thread.sleep(1000);
				} catch (InterruptedException e) {}
                
                System.out.println("Thread B: waiting for lock 1...");
 
                synchronized (lock1) {
                    System.out.println("Thread B: holding lock 1 & 2...");
                }
                
            }
        }).start();

    }
}